<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']= 'Файлы';
include_once '../../sys/inc/thead.php';
title();

only_reg();

$papka_num = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_papka` WHERE `kto_id` = '".$user['id']."'"));
$papka = mysql_query("SELECT * FROM `user_files_mod_papka` WHERE `kto_id` = '".$user['id']."'");

echo '<div class="links">';
echo '<img src="/user/files/image/inf.png" alt="."/> Добавить файл<br/>';
echo '</div>';

if (isset($_POST['submit'])){

$rnd = rand(11111111,99999999);

if ($_POST['no_pass']==1){

$pass = '';
$pass_set = '0';

}else{

$pass = mysql_real_escape_string($_POST['pass']);
$pass_set = '1';

}

if ($_POST['no_screen']==1){

$screen = '';
$screen_set = '0';

}else{

$screen = $rnd.'_'.$_FILES['screen']['name'];
$screen_set = '1';

}

$filename = $_FILES['file']['name'];
$filetmp = $_FILES['file']['tmp_name'];
$filesize = $_FILES['file']['size'];
$file = $rnd.'_'.$filename;
$size = round($filesize/1024).' кб.';
$name = mysql_real_escape_string($_POST['name']);
$opis = mysql_real_escape_string($_POST['opis']);
$pass2 = mysql_real_escape_string($pass);
$str_name = strlen($name);
$str_opis = strlen($opis);
$str_pass = strlen($pass2);
$file_admin = '1024000';
$dir = intval($_POST['dir']);
$filescreen = $_FILES['screen']['name'];
$filetmpscreen = $_FILES['screen']['tmp_name'];

echo '<div class="links">';

if (empty($filename)){echo 'Необходимо выбрать файл.<br/>';}else{

if (empty($filescreen) && $screen_set==1){echo 'Необходимо выбрать скриншот или поставить галочку "Без скриншота".<br/>';}else{

if ($filesize>$file_admin){echo 'Слишком большой файл. Разрешено выгружать файлы не больше 1 мб.<br/>';}else{

if (!$name || !$opis){echo 'Некорректное название или описание.<br/>';}else{

if ($str_name<2 || $str_name>64){echo 'Название должно быть больше 2 и меньше 32 символов.<br/>';}else{

if ($str_opis<5 || $str_opis>512){echo 'Описание должно быть больше 5 и меньше 512 символов.<br/>';}else{

if ($_POST['no_pass']!==1 && $str_pass>8){echo 'Пароль должен быть меньше 8 символов.<br/>';}else{

move_uploaded_file($filetmp, '../../user/files/file/'.$file.'');

move_uploaded_file($filetmpscreen, '../../user/files/screen/'.$screen.'');

mysql_query("INSERT INTO `user_files_mod_files` (`kto_id`, `name`, `opis`, `dir`, `time`, `pass_set`, `pass`, `filename`, `size`, `screen_set`, `screen`) VALUES ('".$user['id']."', '".$name."', '".$opis."', '".$dir."', '".time()."', '".$pass_set."', '".$pass."', '".$file."', '".$size."', '".$screen_set."', '".$screen."')");

echo '<font color="green">Файл успешно добавлен.</font><br/>';
echo 'Название: '.$name.'<br/>';
echo 'Название на сервере: '.$file.'<br/>';
echo 'Описание: '.$opis.'<br/>';
echo 'Размер: '.$size.'<br/>';
echo 'Пароль: ';

if (empty($pass)){echo 'без пароля.<br/>';}else{echo $pass.'<br/>';}

}

}

}

}

}

}

}

echo '</div>';

}else{

echo '<div class="links">';

if ($papka_num == 0){

echo 'Вы не сможете добавлять файлы пока не создадите хоть одну папку.<br/>';

}else{

echo '<form action="/user/files/new_file.php" method="post" enctype="multipart/form-data">';
echo 'Файл:<br/>';
echo '<input type="file" name="file"><br/>';
echo 'Скриншот:<br/>';
echo '<input type="file" name="screen"><br/>';
echo 'Название (2-64):<br/>';
echo '<input type="text" name="name" value=""/><br/>';
echo 'Описание (5-512):<br/>';
echo '<input type="text" name="opis" value=""/><br/>';

echo 'В папку:<br/>';
echo '<select name="dir">';

while($post = mysql_fetch_array($papka)){

echo '<option value="'.$post['id'].'">'.$post['name'].'</option>';

}

echo '</select><br/>';

echo 'Пароль (Макс. 8):<br/>';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="checkbox" name="no_pass" value="1"/> Без пароля<br/>';
echo '<font color="red">Если не хотите ставить пароль на файл, тогда поставьте галочку рядом с "Без пароля".</font><br/>';
echo '<input type="checkbox" name="no_screen" value="1"/> Без скриншота<br/>';
echo '<font color="red">Если хотите не использовать скриншот, тогда поставьте галочку рядом с "Без скриншота".</font><br/>';
echo '<input type="submit" name="submit" value="Добавить"/></form>';

}

echo '</div>';

}

echo '<div class="foot">';
echo '<a href="/user/files/?id='.$user['id'].'">К моим файлам</a><br/>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>